%{!?svn_rev:%define svn_rev 0}

%define debug_package %{nil}

Summary: Nuclotron Beam Position Monitor analysis program
Name: bpm-analysis
Version: 1.3
Release: 1.%{svn_rev}%{?dist}
License: GPL
Group: System Environment/Base
URL: http://afi.jinr.ru/NucloBPM
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: fftw-devel >= 3.2.1
BuildRequires: qt5-qtbase-devel >= 5.6

%description
Nuclotron Beam Position Monitor analysis program

%prep
%setup -q

%build
make %{?_smp_mflags} svn_rev=%{svn_rev} qmake
make %{?_smp_mflags} svn_rev=%{svn_rev} -C src/bpm-analysis

%install
rm -rf %{buildroot}
make -C src/bpm-analysis install INSTALL_ROOT=%{buildroot}%{_prefix}
mkdir -p %{buildroot}%{_sysconfdir}
install scripts/etc/bpm.conf %{buildroot}%{_sysconfdir}/
install scripts/bin/bpm-analysis_wrapper.sh %{buildroot}%{_bindir}/
sed -i -e 's|@CONFIG_DIR@|%{_sysconfdir}|' %{buildroot}%{_bindir}/bpm-analysis_wrapper.sh
mkdir -p %{buildroot}%{_initrddir}
install -m 0755 -p scripts/etc/init.d/bpm-analysis %{buildroot}%{_initrddir}/bpm-analysis

%pre
getent group %{orbita_group} > /dev/null || groupadd -r %{orbita_group}
getent passwd %{orbita_user} > /dev/null || \
    useradd -r -g %{orbita_group} \
    -c "Orbita System" %{orbita_user}
:

%post
if [ $1 -eq 1 ] ; then
    /sbin/chkconfig --add orbitaweb || :
fi

%preun
if [ "$1" = 0 ]
then
  /sbin/service orbitaweb stop >/dev/null 2>&1
  /sbin/chkconfig --del orbitaweb
fi
:

%postun


%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root)
%doc ChangeLog COPYING README
%config(noreplace) %{_sysconfdir}/bpm.conf
%defattr(0755,root,root)
%{_initrddir}/*
%{_bindir}/*

%changelog
* Tue Dec  9 2014  <ilja.slepnev@jinr.ru> - 1.3
- Static link Qwt

* Mon Sep 16 2013  <ilja.slepnev@jinr.ru> - 1.2
- Splitted readout and analysis

* Thu Mar 09 2013  <ilja.slepnev@jinr.ru> - 1.1
- Initial build

